<?
$archivo="peru.doc";
$len1= strlen(trim($archivo));
		$nombre1="";		
		for ($i=0;$i<$len1;$i++)
		{
			$parte = substr($archivo,$i,1);
			if ($parte=="."){break;}
			$nombre1 =$nombre1.$parte;
		}
$len2= strlen(trim($archivo));
		$nombre2="";		
		for ($y=-1;$y>=-$len2;$y--)
		{
			$parte = substr($archivo,$y,1);
			if ($parte=="."){break;}
			$nombre2 =$parte.$nombre2;
		}
echo $nombre1."<br>";
echo $nombre2;
?>
